Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PlayersModel Class Reference

A class describing detected players. More...

`#include <PlayersModel.h>`

Collaboration diagram for PlayersModel:

[legend]
List of all members.

## Public Member Functions
| PlayersModel ()
## Public Attributes
double | freeSpaceAroundRobot
| The free space without any opponent around the robot.
double | distanceToOppInSectorAhead
| Distance to next opponent in these sectors.
double | distanceToOppInSectorBehind
double | distanceToOppInSectorLeft
double | distanceToOppInSectorRight
Vector2< double > | positionOfOwnPlayerAhead
| The position at the field of an own player ahead.
long | timeStampToSeenOwnPlayerAhead
| The timestamp of the seen own player ahead.

## Detailed Description

A class describing detected players.

Definition at line 19 of file PlayersModel.h.

## Constructor & Destructor Documentation

PlayersModel::PlayersModel | ( |  | ) |

| Definition at line 15 of file PlayersModel.cpp. References positionOfOwnPlayerAhead, Vector2< double >::x, and Vector2< double >::y.

## Member Data Documentation

double PlayersModel::freeSpaceAroundRobot

| The free space without any opponent around the robot. Definition at line 29 of file PlayersModel.h. Referenced by PlayersSymbols::getFreeSpaceAroundRobot().

double PlayersModel::distanceToOppInSectorAhead

| Distance to next opponent in these sectors. Definition at line 34 of file PlayersModel.h. Referenced by PlayersSymbols::getDistanceToOppInSectorAhead().

double PlayersModel::distanceToOppInSectorBehind

| Definition at line 35 of file PlayersModel.h. Referenced by PlayersSymbols::getDistanceToOppInSectorBehind().

double PlayersModel::distanceToOppInSectorLeft

| Definition at line 36 of file PlayersModel.h. Referenced by PlayersSymbols::getDistanceToOppInSectorLeft().

double PlayersModel::distanceToOppInSectorRight

| Definition at line 37 of file PlayersModel.h. Referenced by PlayersSymbols::getDistanceToOppInSectorRight().

Vector2<double> PlayersModel::positionOfOwnPlayerAhead

| The position at the field of an own player ahead. Definition at line 42 of file PlayersModel.h. Referenced by PlayersSymbols::getAngleToOwnDetectedPlayer(), and PlayersModel().

long PlayersModel::timeStampToSeenOwnPlayerAhead

| The timestamp of the seen own player ahead. Definition at line 47 of file PlayersModel.h. Referenced by PlayersSymbols::getTimeSinceDetectedOwnPlayer().

The documentation for this class was generated from the following files:

- Representations/Cognition/PlayersModel.h
- Representations/Cognition/PlayersModel.cpp